%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global drv_vendor VMware
%global srcname vmware-nsx
%global docpath doc/build/html
%global service neutron

Name:           python-networking-%{srcname}
Version: 9.1.0
Release: 2%{?dist}
Provides: python2-networking-vmware-nsx = %{version}-%{release}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://tarballs.openstack.org/%{srcname}/%{srcname}-%{upstream_version}.tar.gz

Patch0001: 0001-NSXv3-Fix-a-router-port-name-update-issue.patch
Patch0002: 0002-NSXv3-Fix-string-format-in-a-logging-message.patch
Patch0003: 0003-Stable-peg-Newton-versions.patch
Patch0004: 0004-NSXv3-Change-default-metadata-route-to-169.254.169.2.patch
Patch0005: 0005-NSX-V3-only-configure-mac-learning-if-necessary.patch
Patch0006: 0006-NSX-V3-ensure-that-the-NSX-port-name-is-updated-corr.patch
Patch0007: 0007-Use-stable-for-networking-l2gw.patch

# TODO: some of those dependencies are not available in repos, so left them version-less
BuildArch:      noarch
BuildRequires:  python2-devel
#BuildRequires:  python-mock >= 1.1
BuildRequires:  python-mock
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
# Required for config file generation
BuildRequires:  python-debtcollector
BuildRequires:  python-oslo-config >= 2:1.11.0
BuildRequires:	python-oslo-i18n >= 1.5.0
BuildRequires:	python-oslo-vmware >= 0.13.1
BuildRequires:	python-neutron

#Requires:	python-eventlet >= 0.17.4
Requires:	python-eventlet
Requires:	python-httplib2 >= 0.7.5
Requires:	python-netaddr >= 0.7.12
Requires:	python-neutron
Requires:	python-oslo-concurrency >= 2.1.0
Requires:	python-oslo-config >= 2:1.11.0
Requires:	python-oslo-db >= 1.12.0
Requires:	python-oslo-i18n >= 1.5.0
Requires:	python-oslo-log >= 1.6.0
Requires:	python-oslo-serialization >= 1.4.0
Requires:	python-oslo-service >= 0.1.0
Requires:	python-oslo-utils >= 1.9.0
Requires:	python-oslo-vmware >= 0.13.1
Requires:	python-pbr >= 1.3
Requires:	python-retrying >= 1.2.3
Requires:	python-six >= 1.9.0
Requires:	python-sqlalchemy >= 0.9.7
Requires:	python-stevedore >= 1.5.0
#Requires:	python-tooz >= 0.16.0
Requires:	python-tooz


%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%package doc
Summary:        %{summary} documentation
Requires:       %{name} = %{version}-%{release}


%description doc
This package contains documentation for %{drv_vendor} networking driver for
OpenStack Neutron.


%prep
%setup -q -n %{srcname}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

rm requirements.txt test-requirements.txt


%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx
rm %{docpath}/.buildinfo


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install --skip-build --root %{buildroot}

# Build config file
PYTHONPATH=. tools/generate_config_file_samples.sh

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware
mv etc/nsx.ini.sample %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware/nsx.ini

%files
%license LICENSE
%{_bindir}/neutron-api-replay
%{_bindir}/neutron-check-nsx-config
%{_bindir}/nsxadmin
%{python2_sitelib}/vmware_nsx
%{python2_sitelib}/vmware_nsx-%{version}-py%{python2_version}.egg-info
%dir %{_sysconfdir}/%{service}/plugins/vmware
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/vmware/*.ini


%files doc
%license LICENSE
%doc %{docpath}


%changelog
* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 9.1.0-2
- Use stable for networking-l2gw
- NSX|V3: ensure that the NSX port name is updated correctly
- NSX|V3: only configure mac-learning if necessary
- NSXv3: Change default metadata route to 169.254.169.254/31
- Stable - peg Newton versions
- NSXv3: Fix string format in a logging message
- NSXv3: Fix a router port name update issue

* Tue Nov 22 2016 Jon Schlueter <jschluet@redhat.com> 9.1.0-1
- Update to 9.1.0

